
TextRenderer = {["FontMetrics"] = {}};

function TextRenderer.GetFontMetric(font)
	local fontMetric = TextRenderer.FontMetrics[font];
	
	if not fontMetric then
		fontMetric = FontMetric(font);
		TextRenderer.FontMetrics[font] = fontMetric;
	end

	return fontMetric;
end

function TextRenderer.MeasureTextHeight(text, font, width)
	return TextRenderer.GetFontMetric(font):GetTextHeight(text, width);	
end
